local E, L, V, P, G = unpack(ElvUI);
local MyPluginName = "MOGUI"
local MOGUI = E:GetModule(MyPluginName);


local profileName = "MOGUI"

--Cache global variables
--WoW API / Variables

--Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: SkadaDB, LibStub

function MOGUI:LoadSkadaProfile()

SkadaDB.profiles[profileName] = {
			["windows"] = {
				{
					["titleset"] = false,
					["barheight"] = 20,
					["barslocked"] = true,
					["y"] = -2.666672706604004,
					["x"] = 1755.111557006836,
					["title"] = {
						["color"] = {
							["a"] = 0,
							["b"] = 0,
							["g"] = 0,
							["r"] = 0,
						},
						["font"] = "Florence Sans",
						["fontflags"] = "OUTLINE",
						["borderthickness"] = 0,
						["texture"] = "Raven White",
					},
					["barfont"] = "Florence Sans",
					["barfontflags"] = "OUTLINE",
					["point"] = "RIGHT",
					["barbgcolor"] = {
						["a"] = 0,
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["barcolor"] = {
						["a"] = 0.600000023841858,
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["mode"] = "DPS",
					["spark"] = false,
					["buttons"] = {
						["report"] = false,
						["menu"] = false,
						["mode"] = false,
						["segment"] = false,
						["reset"] = false,
					},
					["barwidth"] = 171.0000152587891,
					["barspacing"] = 5,
					["smoothing"] = true,
					["bartexture"] = "Raven White",
					["background"] = {
						["strata"] = "LOW",
						["color"] = {
							["a"] = 0,
						},
						["bordertexture"] = "None",
						["borderthickness"] = 0,
						["height"] = 149.3333282470703,
					},
					["name"] = "Window 2",
				}, -- [1]
				{
					["titleset"] = false,
					["barheight"] = 20,
					["color"] = {
						["a"] = 0.6,
						["r"] = 0.3,
						["g"] = 0.3,
						["b"] = 0.3,
					},
					["issolidbackdrop"] = false,
					["classicons"] = true,
					["barslocked"] = true,
					["useframe"] = true,
					["background"] = {
						["strata"] = "LOW",
						["tile"] = false,
						["color"] = {
							["a"] = 0,
							["r"] = 0,
							["g"] = 0,
							["b"] = 0,
						},
						["bordertexture"] = "None",
						["borderthickness"] = 0,
						["height"] = 149.3333282470703,
						["bordercolor"] = {
							["a"] = 1,
							["r"] = 0,
							["g"] = 0,
							["b"] = 0,
						},
						["tilesize"] = 0,
						["texture"] = "Solid",
					},
					["wipemode"] = "",
					["set"] = "current",
					["hidden"] = false,
					["y"] = -2.666672706604004,
					["x"] = 1931.111312866211,
					["name"] = "Window 1",
					["title"] = {
						["textcolor"] = {
							["a"] = 1,
							["r"] = 0.9,
							["g"] = 0.9,
							["b"] = 0.9,
						},
						["color"] = {
							["a"] = 0,
							["r"] = 0,
							["g"] = 0,
							["b"] = 0,
						},
						["bordercolor"] = {
							["a"] = 1,
							["r"] = 0,
							["g"] = 0,
							["b"] = 0,
						},
						["font"] = "Florence Sans",
						["fontsize"] = 13,
						["height"] = 20,
						["fontflags"] = "OUTLINE",
						["bordertexture"] = "None",
						["borderthickness"] = 0,
						["texture"] = "Raven White",
					},
					["display"] = "bar",
					["barfont"] = "Florence Sans",
					["isonnewline"] = false,
					["isusingelvuiskin"] = true,
					["classcolortext"] = false,
					["strata"] = "LOW",
					["point"] = "RIGHT",
					["spellschoolcolors"] = true,
					["barbgcolor"] = {
						["a"] = 0,
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["reversegrowth"] = false,
					["returnaftercombat"] = false,
					["barfontsize"] = 13,
					["clickthrough"] = false,
					["barcolor"] = {
						["a"] = 0.600000023841858,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["snapto"] = true,
					["roleicons"] = false,
					["barorientation"] = 1,
					["mode"] = "Healing taken",
					["scale"] = 1,
					["width"] = 600,
					["bartexture"] = "Raven White",
					["textcolor"] = {
						["r"] = 0.9,
						["g"] = 0.9,
						["b"] = 0.9,
					},
					["spark"] = false,
					["buttons"] = {
						["segment"] = false,
						["menu"] = false,
						["mode"] = false,
						["report"] = false,
						["reset"] = false,
					},
					["barwidth"] = 188.8889312744141,
					["barspacing"] = 5,
					["fixedbarwidth"] = false,
					["smoothing"] = true,
					["modeincombat"] = "",
					["version"] = 1,
					["enabletitle"] = true,
					["classcolorbars"] = true,
					["isusingclasscolors"] = true,
					["showself"] = true,
					["barfontflags"] = "OUTLINE",
					["height"] = 30,
				}, -- [2]
			},
			["icon"] = {
				["hide"] = true,
			},
			["debug"] = false,
			["versions"] = {
				["1.6.7"] = true,
				["1.6.4"] = true,
				["1.6.3"] = true,
			},
			["showself"] = true,
			["modeclicks"] = {
				["Damage"] = 2,
				["Damage taken"] = 1,
				["Healing taken"] = 2,
				["DPS"] = 9,
			},
			["columns"] = {
				["Damage_Percent"] = false,
				["Damage_DPS"] = false,
			},
		}
	
	 Skada.db:SetProfile("MOGUI")
	
end